<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$reporte=$_GET['reporte'];

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
//Table with 20 rows and 4 columns
$pdf->Cell(0,10,'VENTAS DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFont('Arial','',8);
    

$base_global=0;
$iva_global=0;
$total_global=0;

$sqliva=mysqli_query($con,"SELECT * from iva where empresa='$empresa' ") or die(mysqli_error($con)); 
while ($iva=mysqli_fetch_array($sqliva))
{
    $iva_porcentaje=$iva['iva_porcentaje']; //19
    $iva0_t=$iva_porcentaje/100; //0.19
    $ivaf_t=1+$iva0_t; //1.19

	$pdf->SetFillColor(255,90,0);
	$pdf->Cell(190,4,'IMPUESTO '.$iva_porcentaje.' %',1,0,'C',1);
	$pdf->Ln(); 
	$pdf->SetFillColor(255,200,0);
	$pdf->SetFont('Arial','B',8);
	$pdf->Cell(25,4,'CODIGO',1,0,'C',1);
	$pdf->Cell(95,4,'NOMBRE',1,0,'C',1);
	$pdf->Cell(15,4,'CANT',1,0,'C',1);
	$pdf->Cell(20,4,'BASE',1,0,'C',1);
	$pdf->Cell(15,4,'IMP $',1,0,'C',1);
	$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
	$pdf->Ln(); 


	$total_base_por_iva=0;
	$total_iva_por_iva=0;
	$total_por_iva=0;


    if ($reporte=='pos')
    {
        $registros=mysqli_query($con,"SELECT *,sum(vd.vend_cantidad) as can, AVG(vd.vend_precio_real) as pc  FROM ventas v, venta_detalle vd  where v.ven_tipo='$reporte' AND  v.ven_id =vd.ventas_ven_id  and vd.vend_iva='$iva_porcentaje' and v.ven_fecha BETWEEN '$desde' AND '$hasta' and v.empresa='$empresa' and v.sucursal='$sucursal' and v.ven_estado<>'anulada'  group by vd.vend_art_id, vd.vend_precio ") or die(mysqli_error($con));
    } 
    else if ($reporte=='electronica')
    {
        $registros=mysqli_query($con,"SELECT *,sum(vd.vend_cantidad) as can, AVG(vd.vend_precio_real) as pc  FROM ventas v, venta_detalle vd  where v.ven_tipo='$reporte' AND v.estado_dian='Aprobada' and v.ven_id =vd.ventas_ven_id  and vd.vend_iva='$iva_porcentaje' and v.ven_fecha BETWEEN '$desde' AND '$hasta' and v.empresa='$empresa' and v.sucursal='$sucursal' and v.ven_estado<>'anulada' group by vd.vend_art_id, vd.vend_precio ") or die(mysqli_error($con));

    }
     else
    {
        $registros=mysqli_query($con,"SELECT *,sum(vd.vend_cantidad) as can, AVG(vd.vend_precio_real) as pc  FROM ventas v, venta_detalle vd  where v.ven_id =vd.ventas_ven_id  and vd.vend_iva='$iva_porcentaje' and v.ven_fecha BETWEEN '$desde' AND '$hasta' and v.empresa='$empresa' and v.sucursal='$sucursal' and v.ven_estado<>'anulada'  group by vd.vend_art_id, vd.vend_precio ") or die(mysqli_error($con));
    }


    while ($rew=mysqli_fetch_array($registros))
    {
    	$vend_referencia=$rew['vend_referencia'];
    	$vend_nombre=$rew['vend_nombre'];
    	$vend_cantidad=$rew['can'];
        $vend_precio=$rew['pc']; //1.000.000
        $vend_iva=$rew['vend_iva']; //19%
        $vend_descuento=$rew['vend_desc']; //10%

        $precio_total_item=$vend_precio*$vend_cantidad;//precio normal 1.000.000
        $precio_total_sin_iva_item=($vend_precio/$ivaf_t)*$vend_cantidad; //precio sin iva  840.336
        $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
        $total_iva_item=$precio_total_sin_iva_item*$iva0_t; // total iva  159.336

        $total_base_por_iva+=$precio_total_sin_iva_item;
        $total_iva_por_iva+=$total_iva_item;
        $total_por_iva+=$precio_total_item;

	 	$pdf->SetFillColor(255,255,255);
	    $pdf->SetFont('Arial','B',7);
	    $pdf->Cell(25,4,$vend_referencia,1,0,'C',1);
	    $pdf->Cell(95,4,utf8_decode($vend_nombre),1,0,'C',1);
	    $pdf->Cell(15,4,$vend_cantidad,1,0,'C',1);
	    $pdf->Cell(20,4,number_format($precio_total_sin_iva_item),1,0,'R',1);
	    $pdf->Cell(15,4,number_format($total_iva_item,0),1,0,'R',1);
	    $pdf->Cell(20,4,number_format($precio_total_item,0),1,0,'R',1);
	    $pdf->Ln();	

    }

    $base_global+=$total_base_por_iva;
    $iva_global+=$total_iva_por_iva;
    $total_global+=$total_por_iva;


    $pdf->SetFillColor(0,200,255);
    $pdf->SetFont('Arial','B',7);
    $pdf->Cell(135,4,'',1,0,'C',1);
    $pdf->Cell(20,4,number_format($total_base_por_iva,0),1,0,'R',1);
    $pdf->Cell(15,4,number_format($total_iva_por_iva,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($total_por_iva,0),1,0,'R',1);
   
    $pdf->Ln();	
    $pdf->Ln();	

}


 	$pdf->SetFillColor(0,255,0);
    $pdf->SetFont('Arial','B',7);
    $pdf->Cell(135,4,'TOTAL GENERAL',1,0,'C',1);
    $pdf->Cell(20,4,number_format($base_global,0),1,0,'R',1);
    $pdf->Cell(15,4,number_format($iva_global,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($total_global,0),1,0,'R',1);
   
    $pdf->Ln();	




$pdf->Output();
