<?php
session_start();
ini_set('max_execution_time', 0); // 0 = Ilimitado

require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$cliente=$_GET['cliente'];
$reporte=$_GET['reporte'];

if ($reporte=='0')
{
     if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada'  order by ven_id asc") or die(mysqli_error($con));
    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' order by ven_id asc") or die(mysqli_error($con));
    }
}

 else if ($reporte=='pos')
{
    if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and  (ven_tipo='pos' or ven_tipo='remision')  order by ven_id asc") or die(mysqli_error($con));
    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' and  (ven_tipo='pos' or ven_tipo='remision') order by ven_id asc") or die(mysqli_error($con));
    }
}

else
{
    if($cliente==0)
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_id asc") or die(mysqli_error($con));
    }
    else
    {
        $query=mysqli_query($con,"SELECT * FROM ventas where ven_fecha between '$desde' and '$hasta' and ven_tipo='$reporte' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' and Cliente_clie_id='$cliente' order by ven_id asc") or die(mysqli_error($con));
    }
}


$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFont('Arial','',7);
$pdf->SetFillColor(215,235,2415);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(30,4,'FACTURA',1,0,'C',1);
$pdf->Cell(90,4,'CLIENTE',1,0,'C',1);
$pdf->Cell(30,4,'TOTAL FACTURADO' ,1,0,'C',1);
$pdf->Cell(20,4,'IMP',1,0,'C',1);
$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
$pdf->Ln();

$global_neto=0;
$total_devolucion=0;
$global_iva=0;
while ($roww=mysqli_fetch_array($query))    
{    
    $ven_id=$roww['ven_id'];
    $ven_nombre=$roww['ven_nombre'];
    $ven_n_venta=$roww['ven_n_venta'];
    $ven_prefijo=$roww['ven_prefijo'];

    $sumador_total=0;
    $neto=0;
    $total_descuento=0;
    $total_iva=0;
    $total_retencion=0;
    $sumador_articulos=0;

    $ret=mysqli_query($con, "SELECT * FROM retencion_venta where ventas_ven_id='$ven_id' ") or die(mysqli_error($con)); 
    $rets=mysqli_fetch_array($ret);
   // $ret_porcentaje=$rets['porcentaje'];
    $ret_porcentaje=0;

    $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id'");
    while ($row=mysqli_fetch_array($sql))
    {
        $vend_referencia=$row['vend_referencia'];
        $vend_nombre=$row['vend_nombre'];
        $vend_cantidad=$row['vend_cantidad'];
        $vend_precio=$row['vend_precio'];

        if ($row['vend_iva']>0){ $vend_iva=$row['vend_iva']; } else { $vend_iva='0';}
        if ($row['vend_desc']>0){ $vend_descuento=$row['vend_desc']; } else { $vend_descuento='0';}

        $iva0=$vend_iva/100; //0.19
        $iva1=1+$iva0; //1.19

        $precio_total_item=$vend_precio*$vend_cantidad;//precio normal 1.000.000
        $precio_total_sin_iva_item=($vend_precio/$iva1)*$vend_cantidad; //precio sin iva  840.336
        $descuento_item=($vend_descuento/100)*$precio_total_sin_iva_item; //descuento_item 84.033
        $total_iva_item=$precio_total_sin_iva_item*$iva0; // total iva  159.336

        $neto+=$precio_total_sin_iva_item;
        $total_descuento+=$descuento_item;
        $total_iva+=$total_iva_item;
        $sumador_articulos=($neto+$total_iva)-$total_descuento;
    }
    
    $sumador_combo=0;
    $descuento_combo_total=0;
    $neto_combo=0;
    $sql1=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id'");
    while ($row1=mysqli_fetch_array($sql1))
    {
        $combo_cantidad=$row1["combo_cantidad"];
        $combo_precio=$row1['combo_precio'];
        $combo_nombre=$row1['combo_nombre'];
        $combo_desc=$row1['combo_desc'];
        $precio_total=$combo_cantidad*$combo_precio;
        $descuento_combo_total+=($combo_desc/100)*$precio_total;
        $neto_combo+=$precio_total;
        $sumador_combo=$neto_combo-$descuento_combo_total;
    }


    $total_devo=0;
    $sql2=mysqli_query($con, "SELECT * from devolucion where ventas_ven_id='$ven_id'");
    while ($row2=mysqli_fetch_array($sql2))
    {
        $dev_cantidad=$row2['dev_cantidad'];
        $dev_precio=$row2['dev_precio'];
        $total_devo+=$dev_precio;
    }

    
    $total_retencion+=($neto+$sumador_combo-$total_descuento)*($ret_porcentaje/100);
    $sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;

    $neto_total=$neto+$neto_combo;

    $global_neto+=$neto_total;
    $global_iva+=$total_iva;

    $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(30,4,$ven_prefijo.$ven_n_venta ,1,0,'C',1);
    $pdf->Cell(90,4,$ven_nombre,1,0,'L',1);
    $pdf->Cell(30,4,number_format($neto_total,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($total_iva,0),1,0,'R',1);
    $pdf->Cell(20,4,number_format($sumador_total,0),1,0,'R',1);
    $pdf->Ln();
}

$pdf->SetFillColor(0,255,255);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(120,5,'TOTAL',1,0,'R',1);
$pdf->Cell(30,5,number_format($global_neto,0),1,0,'R',1);
$pdf->Cell(20,5,number_format($global_iva,0),1,0,'R',1);
$pdf->Cell(20,5,number_format($global_neto+$global_iva,0),1,0,'R',1);
$pdf->Ln();
$pdf->Output();
?>