<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$desde=$_GET['desde'];
$hasta=$_GET['hasta'];
$empleadoo=$_GET['empleadoo'];
$art_familia=$_GET['art_familia'];

if($art_familia==0)
{
    $sql1=mysqli_query($con, "SELECT * from familias where empresa='$empresa' order by fam_nombre asc ");
}
else
{
    $sql1=mysqli_query($con, "SELECT * from familias where fam_id='$art_familia' and empresa='$empresa'");
}

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'VENTAS DESDE '.$desde. ' HASTA ' .$hasta,0,1);
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',7);
$pdf->Cell(20,4,'REF',1,0,'C',1);
$pdf->Cell(15,4,'CANTIDAD',1,0,'C',1);
$pdf->Cell(15,4,'UM',1,0,'C',1);
$pdf->Cell(95,4,'NOMBRE',1,0,'C',1);
$pdf->Cell(30,4,'FAMILIA',1,0,'C',1);
$pdf->Cell(15,4,'VENTA',1,0,'C',1);
$pdf->Ln(); 

$total_articulos=0; 
while ($cos=mysqli_fetch_array($sql1))
{
    $fam_nombre=$cos['fam_nombre'];  
    $fam_id=$cos['fam_id'];
    $sumador_articulos=0;
    $desc=0;

    if($empleadoo==0)
    {       
        $sql=mysqli_query($con,"SELECT *,sum(vend_cantidad_dev) as vend_cantidad_dev,AVG(vend_precio_real) as pv from venta_detalle d,ventas v,articulos a 
        where d.ventas_ven_id=v.ven_id and v.ven_estado<>'anulada' and v.ven_fecha BETWEEN '$desde' AND '$hasta' 
        and v.sucursal='$sucursal' and v.empresa='$empresa' and a.art_id=d.vend_art_id and a.familias_fam_id='$fam_id' group by vend_art_id,vend_unidad  
        order by vend_nombre asc"); 
    }
    else
    {
        $sql=mysqli_query($con,"SELECT *,sum(vend_cantidad_dev) as vend_cantidad_dev,AVG(vend_precio_real) as pv from venta_detalle d,ventas v,articulos a 
        where d.ventas_ven_id=v.ven_id and v.ven_estado<>'anulada' and v.ven_fecha BETWEEN '$desde' AND '$hasta' 
        and v.sucursal='$sucursal' and v.empresa='$empresa' and a.art_id=d.vend_art_id and a.familias_fam_id='$fam_id' and v.vendedor='$empleadoo' group by vend_art_id,vend_unidad  
        order by vend_nombre asc"); 
    }

    while ($row=mysqli_fetch_array($sql))
    {

        $vend_referencia=$row['vend_referencia'];
        $vend_nombre=$row['vend_nombre'];
        $vend_unidad=($row['vend_unidad']);
        $vend_cantidad=$row['vend_cantidad_dev'];
        $vend_precio=$row['vend_precio'];
        if ($row['vend_iva']>0){ $vend_iva=$row['vend_iva']; } else { $vend_iva='0';}
        if ($row['vend_desc']>0){ $vend_descuento=$row['vend_desc']; } else { $vend_descuento='0';}
        $ivaf=$vend_iva/100;
        $precio_total=$vend_precio*$vend_cantidad;
        $descuento=($vend_descuento/100)*$precio_total;
        $iva=$vend_precio*$ivaf;
        $sin_iva=$vend_precio-$iva;
        $sumador_articulos+=$precio_total-$descuento;//Sumador
        $desc+=$descuento;

        $pdf->SetWidths(array(20,15,15,95,30,15));
        srand(time()*1000000);
        $pdf->Row(array($vend_referencia,$vend_cantidad,$vend_unidad,utf8_decode($vend_nombre),$fam_nombre,number_format($precio_total,0)));
    }
    $total_articulos+=$sumador_articulos;
}

$sumador_combos=0;
if($empleadoo==0)
{       
    $sqlc=mysqli_query($con, "SELECT *,sum(d.combo_cantidad) as sum_combo_cantidad from venta_detalle_combo d, ventas v, combos c 
    where d.ven_id=v.ven_id and v.ven_estado<>'anulada' and v.ven_fecha BETWEEN '$desde' AND '$hasta' 
    and v.sucursal='$sucursal' and v.empresa='$empresa' and d.combo_id=c.com_id  group by d.combo_id  
    order by d.combo_nombre asc ");
}
else
{
    $sqlc=mysqli_query($con, "SELECT *,sum(d.combo_cantidad) as sum_combo_cantidad from venta_detalle_combo d, ventas v, combos c 
    where d.ven_id=v.ven_id and v.ven_estado<>'anulada' and v.ven_fecha BETWEEN '$desde' AND '$hasta' 
    and v.sucursal='$sucursal' and v.empresa='$empresa' and d.combo_id=c.com_id and vendedor ='$empleadoo' group by d.combo_id  
    order by d.combo_nombre asc "); 
}
 
while ($rowc=mysqli_fetch_array($sqlc))
{
    $combo_referencia=$rowc["combo_referencia"];
    $combo_cantidad=$rowc["sum_combo_cantidad"];
    $combo_precio=$rowc['combo_precio'];
    $combo_nombre=$rowc['combo_nombre'];       
    $precio_total_c=$combo_cantidad*$combo_precio;
    $sumador_combos+=$precio_total_c;

    $pdf->SetWidths(array(20,15,95,40,20,));
    srand(time()*1000000);
    $pdf->Row(array($combo_referencia,$combo_cantidad,$combo_nombre,'COMBO',number_format($precio_total_c,0)));
}

$pdf->Cell(145,4,'TOTAL',1,0,'C');
$pdf->Cell(45,4,number_format($total_articulos+$sumador_combos,0),1,0,'C',1);
$pdf->Ln();
         
$pdf->Output();
?>