<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$action = (isset($_REQUEST['action'])&& $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax')
{
    $q = mysqli_real_escape_string($con,(strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $familia = mysqli_real_escape_string($con,(strip_tags($_REQUEST['familia'], ENT_QUOTES)));
    $proveedor = mysqli_real_escape_string($con,(strip_tags($_REQUEST['proveedor'], ENT_QUOTES)));
    $ubicacion = mysqli_real_escape_string($con,(strip_tags($_REQUEST['ubicacion'], ENT_QUOTES)));
    $estado = mysqli_real_escape_string($con,(strip_tags($_REQUEST['estado'], ENT_QUOTES)));
    $buscar = mb_strtoupper($q);
    
    include '../include/pagination.php';
    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
    $per_page = $conf_pagi_articulos; 
    $adjacents  = 4; 
    $offset = ($page - 1) * $per_page;
if($ubicacion==null)
{
    if($familia==null && $proveedor==null)
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM articulos 
        where empresa='$empresa' and art_tipo='articulo' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows=$row['numrows'];
        $total_pages=ceil($numrows/$per_page);
        $reload='../I_articulos.php';
        $sql=mysqli_query($con,"SELECT *, a.art_id as art_id ,b.art_id as art_idd, SUM(b.art_cantidad) AS art_cantidad  FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa' AND b.sucursal='$sucursal' and a.art_tipo='articulo' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.art_estado like '$estado' group by a.art_id order by art_cantidad desc LIMIT $offset,$per_page");
    }
    else if ($familia<>null && $proveedor==null)
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM articulos  
        where empresa='$empresa' and art_tipo='articulo' and familias_fam_id='$familia' and (art_referencia like '%$q%' OR art_nombre like '%$q%'  OR art_barras like '%$q%' OR art_referencia2 like '%$q%' ) and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = '../I_articulos.php';
        //main query to fetch the data
        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.familias_fam_id='$familia' and a.art_estado like '$estado' order by b.art_cantidad desc LIMIT $offset,$per_page");
    }
    else  if ($familia==null && $proveedor<>null)
    {
        $count_query=mysqli_query($con, "SELECT count(*) AS numrows FROM articulos 
        where empresa='$empresa' and art_tipo='articulo' and proveedor_pro_id='$proveedor' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows=$row['numrows'];
        $total_pages=ceil($numrows/$per_page);
        $reload='../I_articulos.php';
    //main query to fetch the data
        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo' and  (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.proveedor_pro_id='$proveedor' and a.art_estado like '$estado' order by b.art_cantidad desc LIMIT $offset,$per_page");
    } 
    else  if ($familia<>null && $proveedor<>null)
    {
        $count_query=mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a
        where empresa='$empresa' and art_tipo='articulo' and proveedor_pro_id='$proveedor' and familias_fam_id='$familia' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado' ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = '../I_articulos.php';

        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%' ) and a.proveedor_pro_id = '$proveedor' and a.art_estado like '$estado' and a.familias_fam_id='$familia' order by b.art_cantidad desc LIMIT $offset,$per_page");
    }  
} else 
{
    if($familia==null && $proveedor==null)
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM articulos 
        where empresa='$empresa' and art_tipo='articulo'  and ubicacion_ubi_id='$ubicacion' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows=$row['numrows'];
        $total_pages=ceil($numrows/$per_page);
        $reload='../I_articulos.php';
        $sql=mysqli_query($con,"SELECT *, a.art_id as art_id ,b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo'  and a.ubicacion_ubi_id='$ubicacion' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.art_estado like '$estado' order by b.art_cantidad desc LIMIT $offset,$per_page");
    }
    else if ($familia<>null && $proveedor==null)
    {
        $count_query=mysqli_query($con,"SELECT count(*) AS numrows FROM articulos  
        where empresa='$empresa' and art_tipo='articulo' and familias_fam_id='$familia' and ubicacion_ubi_id='$ubicacion' and (art_referencia like '%$q%' OR art_nombre like '%$q%'  OR art_barras like '%$q%' OR art_referencia2 like '%$q%' ) and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = '../I_articulos.php';
        //main query to fetch the data
        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo'  and a.ubicacion_ubi_id='$ubicacion' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.familias_fam_id='$familia' and a.art_estado like '$estado' order by b.art_cantidad desc LIMIT $offset,$per_page");
    }
    else  if ($familia==null && $proveedor<>null)
    {
        $count_query=mysqli_query($con, "SELECT count(*) AS numrows FROM articulos 
        where empresa='$empresa' and art_tipo='articulo' and proveedor_pro_id='$proveedor'  and ubicacion_ubi_id='$ubicacion' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado'");
        $row= mysqli_fetch_array($count_query);
        $numrows=$row['numrows'];
        $total_pages=ceil($numrows/$per_page);
        $reload='../I_articulos.php';
    //main query to fetch the data
        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo'  and a.ubicacion_ubi_id='$ubicacion' and  (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%') and a.proveedor_pro_id='$proveedor' and a.art_estado like '$estado' order by b.art_cantidad desc LIMIT $offset,$per_page");
    } 
    else  if ($familia<>null && $proveedor<>null)
    {
        $count_query=mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a
        where empresa='$empresa' and art_tipo='articulo' and proveedor_pro_id='$proveedor' and familias_fam_id='$familia'  and ubicacion_ubi_id='$ubicacion' and (art_referencia like '%$q%' OR art_nombre like '%$q%' OR art_barras like '%$q%' OR art_referencia2 like '%$q%') and art_estado like '$estado' ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = '../I_articulos.php';

        $sql = mysqli_query($con,"SELECT *, a.art_id as art_id, b.art_id as art_idd FROM articulos a, articulos_has_bodegas b
        where a.art_id=b.articulos_art_id and a.empresa='$empresa'  AND b.sucursal='$sucursal' and a.art_tipo='articulo' and (a.art_referencia like '%$q%' OR a.art_nombre like '%$q%' OR a.art_barras like '%$q%' OR a.art_referencia2 like '%$q%' ) and a.proveedor_pro_id = '$proveedor' and a.art_estado like '$estado' and a.familias_fam_id='$familia' and a.ubicacion_ubi_id='$ubicacion' order by b.art_cantidad desc LIMIT $offset,$per_page");
    }
}
if ($numrows>0){ ?>
    <div class="table-responsive">
        <table class="table table-bordered table-hover table-striped" style="font-size: 9pt;">
            <tr>
                <th width="8%">CODIGO</th>
                <th width="8%">REFERENCIA</th>
                <th>NOMBRE</th>
                <?php
                if($tienda_online=='si')
                    { ?>
                <th width="4%">ONLINE</th>
                <?php } ?>
                <?php
                if ($empresa==1) 
                {
                    echo '<th width="5%">TECHNOPOLIS</th>
                    <th width="5%">COMPUGAMER</th>';
                }
                else if ($empresa==3) 
                {
                    echo '<th width="5%">COMPUGAMER</th>
                    <th width="5%">TECHNOPOLIS</th>';
                }
                ?>

                <th width="8%">PRECIO</th>
                <?php if ($negocio_neg_id==3) { ?>
                <th width="10%">UBICACIÓN</th>
                <?php } ?>
                <th width="15%"></th>
            </tr>
        <?php
        while ($reg=mysqli_fetch_array($sql)){
                $art_id=$reg['art_id'];
                $id=$reg['art_id'];
                $art_idd=$reg['art_idd'];
                $art_nombre=$reg['art_nombre'];
                $art_escaso=$reg['art_escaso'];
        ?>
            <tr>
            <td>
            <?php 
                if($reg['art_referencia'] <>null)
                {   
                    $art_referencia = $reg['art_referencia'];
                    echo mb_strtoupper(str_replace($buscar, "<strong><span style='color: ".$resaltador."'>".$buscar."</span></strong>", $art_referencia));
                }
                else
                {
                    $art_barras = $reg['art_barras'];
                    echo mb_strtoupper(str_replace($buscar, "<strong><span style='color:".$resaltador."'>".$buscar."</span></strong>", $art_barras));
                } 
            ?>
            </td>
            <td><?php echo mb_strtoupper(str_replace($buscar, "<strong><span style='color:".$resaltador."'>".$buscar."</span></strong>", $reg['art_referencia2']));?> </td>
            <td><?php echo mb_strtoupper(str_replace($buscar, "<strong><span style='color:".$resaltador."'>".$buscar."</span></strong>", $art_nombre));?> </td>
            
            <?php if($tienda_online=='si') { ?>
            <td>
            <?php
                if($reg['art_online']=="Activo")
                    {
                          echo $estados='<a href="#" onclick="online('.$reg['art_id'].')"> <span class="badgeazul" title="Inactivo"> <i class="btn-icon-only icon-off"></i></span></a>';
                    }
                else  
                    {
                        echo $estados='<a href="#" onclick="online('.$reg['art_id'].')"> <span class="badgerojo" title="Activo"> <i class="btn-icon-only icon-off"></i></span></a>';
                    }
            ?>
            </td>
            <?php } ?>


            <?php if ($empresa==1) { ?>

                 <?php $art_cantidad=$reg['art_cantidad']; ?>

                    <td><p class="pull-left">

                        <?php if ($art_cantidad>$art_escaso) 
                    {?>
                        <img src="img/semaforo/sema1.png" style="height:13px; padding: 0px;">

                    <?php   }
                        else if ($art_cantidad>0 && $art_cantidad<=$art_escaso)
                        { ?>

                            <img src="img/semaforo/sema2.png" style="height:13px; padding: 0px;">
                            
                        <?php   } 
                            else if ($art_cantidad<=0)
                            {?>

                                <img src="img/semaforo/sema3.png" style="height:13px; padding: 0px;">

                    <?php   }         
                    ?>
                    <p class="pull-right">
                    <?php echo $art_cantidad=$reg['art_cantidad']; ?>


                     <?php $can=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE bodegas_art_id='$art_idd'") or die(mysqli_error($con));
                    $c=mysqli_fetch_array($can);
                    if(isset($c['artd_cantidad']))
                    {
                        echo"(".$c['artd_cantidad']." ".$c['artd_unidad'].")";
                    }
                ?>
                </td>
                <td><p class="pull-right"><?php   
                    $canac=mysqli_query($con,"SELECT * FROM articulos WHERE art_referencia='$art_referencia' and empresa='3'");
                    $cac=mysqli_fetch_array($canac);
                    if(isset($cac['art_id']))
                    {
                        $art_ids=$cac['art_id']; 
                        $canc=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_ids' and empresa='3' and sucursal='3' and bodegas='3'");
                        $cc=mysqli_fetch_array($canc);
                        echo $art_cantidad=$cc['art_cantidad'];
                    }
                   
            ?></p>
                </td>
            <?php } ?>


            <?php if ($empresa==3) { ?>
                
                     <?php $art_cantidad=$reg['art_cantidad']; ?>

                    <td><p class="pull-left">

                        <?php if ($art_cantidad>$art_escaso) 
                    {?>
                        <img src="img/semaforo/sema1.png" style="height:13px; padding: 0px;">

                    <?php   }
                        else if ($art_cantidad>0 && $art_cantidad<=$art_escaso)
                        { ?>

                            <img src="img/semaforo/sema2.png" style="height:13px; padding: 0px;">
                            
                        <?php   } 
                            else if ($art_cantidad<=0)
                            {?>

                                <img src="img/semaforo/sema3.png" style="height:13px; padding: 0px;">

                    <?php   }         
                    ?>
                    <p class="pull-right">
                    <?php echo $art_cantidad=$reg['art_cantidad']; ?></p><br>

                    <?php $can=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE bodegas_art_id='$art_idd'") or die(mysqli_error($con));
                    $c=mysqli_fetch_array($can);
                    if(isset($c['artd_cantidad']))
                    {
                        echo"(".$c['artd_cantidad']." ".$c['artd_unidad'].")";
                    }
                ?>
                </td>
                <td><p class="pull-right"><?php   
                    $canac=mysqli_query($con,"SELECT * FROM articulos WHERE art_referencia='$art_referencia' and empresa='1'");
                    $cac=mysqli_fetch_array($canac);
                    if(isset($cac['art_id']))
                    {
                        $art_ids=$cac['art_id']; 
                        $canc=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$art_ids' and empresa='1' and sucursal='1' and bodegas='1'");
                        $cc=mysqli_fetch_array($canc);
                        echo $art_cantidad=$cc['art_cantidad'];
                    }
                ?>
                </td></p>
            <?php } ?>
            
            <td><p class="pull-right"><?php echo number_format($reg['art_pvp'],0);?></p></td>
            <?php if ($negocio_neg_id==3){?>
            <td ><p class="pull-center">
                <?php 
                    $ubicacion=$reg['ubicacion_ubi_id'];
                    $ubi = mysqli_query($con,"SELECT * FROM  ubicacion where ubi_id='$ubicacion' and empresa='$empresa' and sucursal='$sucursal'") ;
                    $ub = mysqli_fetch_array( $ubi );
                    $ubi_nombre=$ub['ubi_nombre']; 
                    if($ubi_nombre<>'SIN UBICACION')
                        {
                            echo $ubi_nombre;
                        }   
                ?>
            </p></td>
            <?php } ?>
            <td>
                <a data-id="<?php echo $art_id;?>" class="btn btn-edit btn-xs btn-warning"  title="Tarifas de Precio"> <i class="btn-icon-only icon-usd"></i></a>

                 <?php 
                $per=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='5' and modp_nombre='Modificar Articulo' ") or die(mysqli_error($con));
                $permi = mysqli_fetch_array($per);
                $estado=$permi['estado'];
                if ($estado=='Activo') { ?>
                    <a data-id="<?php echo $id;?>" title="Editar Articulo" class="btn-art btn btn-xs btn-info"> <i class="btn-icon-only icon-edit"></i></a>
                <?php } ?> 

                <?php  
                $per=mysqli_query($con,"SELECT * FROM modulo_permiso where usuario='$usu_id' and mod_id='5' and modp_nombre='Eliminar Articulo' ") or die(mysqli_error($con));
                $permi = mysqli_fetch_array($per);
                $estado=$permi['estado'];
                if ($estado=='Activo') { ?>
                    <a href="#" onclick="eliminar('<?php echo $art_id;?>')" title="Eliminar" class="btn btn-xs btn-danger"><i class="btn-icon-only icon-remove"></i></a>
                <?php } ?>


              
            <?php  if ($negocio_neg_id==1){?>
                <a data-id="<?php echo $id;?>" class="btn btn-ser btn-xs btn-default" title="Serial"> <i class="btn-icon-only icon-barcode"></i></a>
            <?php  } ?>
            <?php 
                $can=mysqli_query($con,"SELECT * FROM articulos_detallado WHERE bodegas_art_id='$art_idd'") or die(mysqli_error($con));
                $c=mysqli_fetch_array($can);
                if(isset($c['artd_cantidad']))
                {
                    $artd_cantidad=$c['artd_cantidad'];
                }

                    if($c>0){ ?>
                        <a data-id="<?php echo $art_id;?>" class="btn btn-det btn-xs btn-success" title="Detallar"> <i class="btn-icon-only icon-cut"></i></a>
            <?php  } ?>

           
            </td>
        </tr>
        <?php } ?>
        <tr>
        <?php if ($negocio_neg_id==3 ){ $col=8; } else { $col=7; } if($tienda_online=='si'){$onl=1;}else{$onl=0;} ?>
            <td colspan="<?php echo $col+$onl+1;?>">
                <span class="pull-right">
                    <?php echo paginate($reload, $page, $total_pages, $adjacents); ?>
                </span>
                <input type="hidden" name="pagina" id="pagina" value="<?php echo $page; ?>">

            </td>
        </tr>
    </table>
</div>
      <?php
    }
  }
?>
<script>
//modificar    
 $(".btn-art").click(function(){
    id = $(this).data("id");
    var pagina=$("#pagina").val();
    $.get("php_articulo/form_modificar_articulo.php","id="+id+"&pagina="+pagina,function(data){
        $("#form-art").html(data);
    });
    $('#modificar_articulo').modal('show');
});

//tarifas
$(".btn-edit").click(function(){
      id = $(this).data("id");
      $.get("./php_articulo/form_tarifas_precio.php","id="+id,function(data){
        $("#form-edit").html(data);
      });
      $('#editModal').modal('show');
    });

//detallar
    $(".btn-det").click(function(){
      id = $(this).data("id");
      $.get("./php_articulo/form_detallar.php","id="+id,function(data){
        $("#form-det").html(data);
      });
      $('#detallar').modal('show');
    }); 

//seriales
    $(".btn-ser").click(function(){
      id = $(this).data("id");
      $.get("./php_articulo/form_seriales.php","id="+id,function(data){
        $("#form-ser").html(data);
      });
      $('#serModal').modal('show');
    });
</script>

<div class="modal fade" id="editModal" tabindex="-1" role="dialog"  >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" >
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">Tarifas</h4>
            </div>
            <div class="modal-body">
                <div id="form-edit"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="detallar" tabindex="-1" role="dialog" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div id="form-det"></div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="serModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Eliminar Seriales</h4>
            </div>
            <div class="modal-body">
                <div id="form-ser"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="modal_serial_nuevo" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">AGREGAR SERIALES</h4>
            </div>
            <div class="modal-body">
                <div id="form-serial_nuevo"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

